Bug 280731 - The PV drivers are missing from the xen images
Summary: The PV drivers are missing from the xen images
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Blocker F8Test3
TreeView+ depends on / blocked
 
Reported: 2007-09-06 15:13 UTC by Kostas Georgiou
Modified: 2009-12-14 20:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 00:38:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kostas Georgiou 2007-09-06 15:13:30 UTC
The xenblk, xennet drivers are missing from the rawhide xen initrd so
installation under xen is impossible.

Comment 1 Jeremy Katz 2007-09-06 15:23:50 UTC
The xen kernel needs to provide all of the same things as the main kernel.  In
this case, modules.block and modules.networking so that anaconda can determine
the modules to pull out of the kernel.

Comment 2 Eduardo Habkost 2007-09-06 16:47:15 UTC
Fix committed to CVS, tag kernel-xen-2_6-2_6_21-2935_fc8. Scratch build sent 
to Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=150217

Comment 3 Eduardo Habkost 2007-09-06 20:48:49 UTC
Fix updated on CVS, tag kernel-xen-2_6-2_6_21-2936_fc8. Scratch build 
finished: http://koji.fedoraproject.org/koji/taskinfo?taskID=150379

Comment 4 Eduardo Habkost 2007-09-06 20:57:32 UTC
The module lists included in the new package look correct. I have submitted a 
non-scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=150548

Should it be included on F8 Test2?

Comment 5 Kostas Georgiou 2007-09-10 00:38:54 UTC
Current rawhide works fine now so I assume that test2 will be OK as well.


Note You need to log in before you can comment on or make changes to this bug.